Creates a new screen
Creates a new screen
curl --request POST \
--url https://api.mezmo.com/v1/config/screen \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"rotate90Degrees": true,
"categories": [
"<string>"
],
"widgets": [
{
"id": "<string>",
"field": "<string>",
"position": {
"start": [
"<unknown>"
],
"end": [
"<unknown>"
]
},
"match": "<string>",
"filter": "<string>",
"label": "<string>",
"leftLabel": "<string>",
"rightLabel": "<string>",
"showBarChart": true,
"groupBy": "<string>",
"min": 123,
"max": 123,
"units": "<string>"
}
]
}
'import requests
url = "https://api.mezmo.com/v1/config/screen"
payload = {
"title": "<string>",
"rotate90Degrees": True,
"categories": ["<string>"],
"widgets": [
{
"id": "<string>",
"field": "<string>",
"position": {
"start": ["<unknown>"],
"end": ["<unknown>"]
},
"match": "<string>",
"filter": "<string>",
"label": "<string>",
"leftLabel": "<string>",
"rightLabel": "<string>",
"showBarChart": True,
"groupBy": "<string>",
"min": 123,
"max": 123,
"units": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
rotate90Degrees: true,
categories: ['<string>'],
widgets: [
{
id: '<string>',
field: '<string>',
position: {start: ['<unknown>'], end: ['<unknown>']},
match: '<string>',
filter: '<string>',
label: '<string>',
leftLabel: '<string>',
rightLabel: '<string>',
showBarChart: true,
groupBy: '<string>',
min: 123,
max: 123,
units: '<string>'
}
]
})
};
fetch('https://api.mezmo.com/v1/config/screen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"rotate90Degrees": true,
"account": "<string>",
"categories": [
"<string>"
],
"widgets": [
{
"id": "<string>",
"field": "<string>",
"position": {
"start": [
"<unknown>"
],
"end": [
"<unknown>"
]
},
"match": "<string>",
"filter": "<string>",
"label": "<string>",
"leftLabel": "<string>",
"rightLabel": "<string>",
"showBarChart": true,
"groupBy": "<string>",
"min": 123,
"max": 123,
"units": "<string>"
}
]
}{
"error": "\"ratio\" is required",
"code": "BadRequest",
"status": "error"
}Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Body
Request body.
The title of this screen.
The width to height aspect ratio of this screen.
3:2, 4:3, 5:4, 16:9, 16:10, 21:9 Whether the screen is rotated 90 degrees. Setting to true effectively swaps the width to height ratio.
The background color to use when viewing the screen.
dark, light A list of string categories the screen belongs to.
Show child attributes
Show child attributes
Response
A new screen was created successfully! Entire memberResource is returned.
The identifier of this screen.
The title of this screen.
The width to height aspect ratio of this screen.
3:2, 4:3, 5:4, 16:9, 16:10, 21:9 Whether the screen is rotated 90 degrees. Setting to true effectively swaps the width to height ratio.
The background color to use when viewing the screen.
dark, light The account this screen belongs to.
A list of string categories the screen belongs to.
Show child attributes
Show child attributes
Was this page helpful?

